﻿
using System;
using Wisej.Web;

namespace MDITestActivateInDeactivate
{
    public partial class Window1 : Form
    {
        bool OnActivation = false;
        public Window1()
        {
            InitializeComponent();

            var f1 = new Form();
            f1.Text = "First";
            f1.MdiParent = this;
            f1.Deactivate += f_Deactivate;
            f1.Activated += f_Activated;
            f1.Show();

            var f2 = new Form();
            f2.Text = "Second";
            f2.MdiParent = this;
            f2.Deactivate += f_Deactivate;
            f2.Activated += f_Activated;
            var text2 = new TextBox();
            text2.TextChanged += text2_TextChanged;
            f2.Controls.Add(text2);
            f2.Show();
        }

        void text2_TextChanged(object sender, EventArgs e)
        {
            var t = (TextBox)sender;
            t.FindForm().Tag = t.Text;
        }

        void f_Deactivate(object sender, EventArgs e)
        {
            var f = (Form)sender;
            if (f.Tag == null) return;

            if (f.Tag.ToString() == "1")
            {
                OnActivation = true;
                f.Activate();
            }
        }

        void f_Activated(object sender, EventArgs e)
        {
            var f = (Form)sender;

            if (OnActivation)
            {
                
            }
        }
    }
}
